/***********************************************************************/
/*                                                                     */
/*                         Caml Special Light                          */
/*                                                                     */
/*            Xavier Leroy, projet Cristal, INRIA Rocquencourt         */
/*                                                                     */
/*  Copyright 1995 Institut National de Recherche en Informatique et   */
/*  Automatique.  Distributed only by permission.                      */
/*                                                                     */
/***********************************************************************/

/* ftruncate.c,v 1.2 1995/08/09 15:02:49 xleroy Exp */

#include <mlvalues.h>
#include "unix.h"

#ifdef HAS_TRUNCATE

value unix_ftruncate(fd, len)    /* ML */
     value fd, len;
{
  if (ftruncate(Int_val(fd), Long_val(len)) == -1)
    uerror("ftruncate", Nothing);
  return Val_unit;
}

#else

value unix_ftruncate() { invalid_argument("ftruncate not implemented"); }

#endif
